<!-- -*- mode: markdown; mode: flyspell -*- -->
# Changelog (host-status-collector)

## [0.3.1] - 2024-09-03
### Changed
* db directory is configurable now in /etc/default/host-status-collector

## [0.3] - 2024-08-30
### Removed
- removed hardcoded ssh pubkey

## [0.2.2] - 2024-08-30
### Changed
* small code cleanup for bash 5

## [0.2.1] - 2024-06-07
### Changed
*  host-status-feeder: partname detection: allow '_' in partname

## [0.2] - 2024-04-22
### Changed
* rename to host-status-collector
* feeder now works with loginctl of el9 (el7 is not longer supported)

## [0.1.29] - 2019-10-16
### Changed
* win-feeder now emits actual_user

## [0.1.28] - 2019-10-16
### Changed
* renamed win-collector to win-feeder
* fixed path of win-feeder

## [0.1.27] - 2019-10-16
### Added
+ add win-collector to doc
### Changed
* code cleanups due to new shellcheck version
* collector now supports multiple ssh setups (e.g. for linux and windows)
* convert deprecated bash-base logging funs

## [0.1.26] - 2019-05-09
### Changed
* feeder emits less logs in non errors cases

## [0.1.25] - 2019-05-09
### Changed
* ssh now uses keepalive settings

## [0.1.24] - 2019-04-03
### Changed
* feeder: fix logic bug in poll_active_user

## [0.1.23] - 2018-11-25
### Changed
* feeder: fix logic bug in dsgvoify_username

## [0.1.22] - 2018-11-25
### Changed
* collector: clean DB on exit
* feeder: report user class instead of username when no exam is running

## [0.1.21] - 2018-11-25
### Changed
* feeder: fixed EOF detection
* collector: watch_host now uses coproc

## [0.1.20] - 2018-11-25
### Added
+ feeder: logging of homedirpath and sus
### Changed
* feeder: clean exit if stdin closes
* feeder: slower polling except help during exam

## [0.1.19] - 2018-11-23
### Added
+ feeder: added idle detection to poll_active_user

## [0.1.18] - 2018-11-22
### Changed
* spec: another restart fix

## [0.1.17] - 2018-11-22
### Changed
* collector: skip deleting *._* when going offline

## [0.1.16] - 2018-11-22
### Changed
* collector: clear database on service start

## [0.1.15] - 2018-11-22
### Changed
* collector: fixed cutNpaste error

## [0.1.14] - 2018-11-22
### Changed
* collector: db for host will be deleted once host is offline
* spec: restart service on package uprade

## [0.1.13] - 2018-11-22
### Added
+ collector: offline detection

## [0.1.12] - 2018-07-04
### Changed
* client: add missing hooks to spec, cleanup spec

## [0.1.11] - 2018-07-04
### Added
+ client: registering statfeed user with sshd-user-filter-helper

## [0.1.10] - 2018-06-27
### Changed
* zkklabs-status-feeder: much better active session/user polling

## [0.1.9] - 2018-05-15
### Changed
* spec: reload sshd when config changed
* fix unit of timeout (ms vs usec)
* spec: add all labs to authorized_keys

## [0.1.8] - 2018-05-08
### Changed
* zkklabs-status-feeder: fixed poll_help

## [0.1.7] - 2018-05-08
### Changed
* zkklabs-status-collector-service: fix parse_feed parsing

## [0.1.6] - 2018-05-08
### Changed
* spec: fixed requirements of client

## [0.1.5] - 2018-05-08
### Changed
* spec: add user to sshd_config AllowUsers if needed

## [0.1.4] - 2018-05-08
### Changed
* spec: fix path in authorized keys of statfeed
* zkklabs-status-feeder: disable sus for now
* zkklabs-status-collector-service: make ssh user configurable

## [0.1.3] - 2018-05-08
### Changed
* spec: made log file a %ghost
* zkklabs-status-collector.service: fixed service path 

## [0.1.2] - 2018-05-08
### Changed
* zkklabs-status-feeder is now only added to client package
* zkklabs-status-feeder does not any longer depend on lvatest-env
* zkklabs-status-collector-service now reads room list from config file
  `/etc/default/zkklabs-status-collector-rooms` (whitespace separated)
* spec: add systemd unit file

## [0.1.1] - 2018-05-08
### Changed
* permission and log/db path fixes

## [0.1] - 2018-05-06
### Added
+ First release
